Como instalar paquete (netbeans) desde stable estando en sid

3 envíos / 0 nuevos
Último envío
#1 Mié, 04/04/2018 - 18:43
gacs
Imagen de gacs
Conectado
colaborador
se unió: 21/04/16

Como instalar paquete (netbeans) desde stable estando en sid

Estado: 
[SOLUCIONADO]

Su ayuda de nuevo, estoy siguiendo la wiki Sistemas mixtos (APT-pinning) , por que quiero instalar netbeans de stable ya que en testing y sid pues no sea encontrado solución aun, y la versión del desarrollador igual tiene fallas .

ya había instalado netbeans desde stable pero al momento de actualizar se instalo la versión que tiene sid con fallas. entiendo que con la configuración apropiada no pasaría eso y se quedaría la versión stable aunque actualizara.

las configuraciones las tengo asi

/etc/apt/sources.list

deb http://ftp.us.debian.org/debian/ stable main contrib non-free


deb http://ftp.us.debian.org/debian/ sid main contrib non-free

deb http://ftp.us.debian.org/debian/ experimental main contrib

/etc/apt/preferences.d/netbeans


Package: netbeans
Pin: release a=stable
Pin-Priority: 1000

Package:netbeans
Pin: release a=sid
Pin-Priority: 100

Package:netbeans
Pin: release a=experimental
Pin-Priority: 100

/etc/apt/apt.conf.d/local

APT::Default-Release "testing";
APT::Cache-Limit 55000000;
Apt::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";

  estas configuraciones son las apropiadas instalar el paquete netbeans desde estable y que no se borre al actualizar? de antemano gracias por la ayuda

 

Mié, 04/04/2018 - 20:24
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

proba con solo dejar

Package: netbeans
Pin: release a=stable
Pin-Priority: 1001

y hace un update y upgrade full-upgrade

Mié, 04/04/2018 - 23:09
gacs
Imagen de gacs
Conectado
colaborador
se unió: 21/04/16

Gracias sensei rockyiii por contestar, primero comento que tenia un error /etc/apt/apt.conf.d/local ya que tenia APT::Default-Release "testing";, y debía ser uno de los repositorios que especifique en /etc/apt/sources.list lo deje asi  APT::Default-Release "sid" y pude actualizar.

probé el /etc/apt/preferences.d/netbeans con la configuración

 

Package: netbeans
Pin: release a=stable
Pin-Priority: 1001

y  con

Package: netbeans
Pin: release a=stable
Pin-Priority: 1000

Package:netbeans
Pin: release a=sid
Pin-Priority: 100

Package:netbeans
Pin: release a=experimental
Pin-Priority: 100

y las dos configuraciones manda a instalar el netbeans del sid y no el del stable

 

apt -t stable install netbeans
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 netbeans : Depende: libnb-apisupport3-java (= 8.1+dfsg3-2) pero no va a instalarse
            Depende: libnb-ide14-java (= 8.1+dfsg3-2) pero no va a instalarse
            Depende: libnb-java5-java (= 8.1+dfsg3-2) pero no va a instalarse
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

Intente instalar con aptitude y me instalo el netbeans de stable solicitando eliminar algunos paquetes instalados de la version sid, actualice y me dejo netbeans con la versión que tiene stable. la configuración que utilice para instalar y actualizar. 

Package: netbeans
Pin: release a=stable
Pin-Priority: 1001

Package:netbeans
Pin: release a=sid
Pin-Priority: 100

Package:netbeans
Pin: release a=experimental
Pin-Priority: 100

 

gracias

 Saludos